Bug 462847 - system-config-bind/ modal dialog refuses to die
system-config-bind/ modal dialog refuses to die
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-bind (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
: Triaged
Depends On: 462846
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-19 07:19 EDT by ritz
Modified: 2009-12-18 01:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:24:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ritz 2008-09-19 07:19:47 EDT
+++ This bug was initially created as a clone of Bug #462846 +++

Created an attachment (id=317181)
patch

Description of problem:
When I give wrong NS name (eg, ".test.") while adding an NS record for a domain via system-config-bind, I get correct error dialog about null name that cannot be closed (there is only OK) - it is returning again and again and only solution is shutdown the GUI.


Version-Release number of selected component (if applicable):
system-config-bind-4.0.3-2.el5


How reproducible:
always


Steps to Reproduce:
- Launch system-config-bind
- Add a new zone by selecting Add -> Zone after right clicking "DNS Server" icon.
- After the new zone was created, Right Click on the new zone -> Add  -> NS Name Server.
- Enter ".test." in the "Server Domain Name" field.
- Click ok.
- A dialogue box would pop up saying "Bad DNS Name: .test. - null label 1 not allowed." Click "OK" on the dialogue box. It would never go away. If we keep clicking on "OK", the dialogue box would duplicate. This is a bug and would be fixed.


Actual results:
While clicking "OK" on the dialogue box, it never go away and keeps poping up again and again and duplicates after some clicks.


Expected results:
The dialogue box should go away and the end user would be given chance to correct the mistake.

Additional info:
It seems gtk.entry captures the focus, and and focus_out event causes the the dialog to pop up. disabling grab_focus helps.
Comment 1 Bug Zapper 2008-11-25 22:08:22 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-11-18 03:24:28 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 01:24:36 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.